update us3
LEFT JOIN us4 ON us4.p01=us3.p03
              && us4.p02=us3.p02
set us3.remuser='@@@@@@@@@@'              
WHERE us3.p03='{np01}'
   && us3.p04<>0
   && us4.nr01 is null;               
              